Mojolicious 8.01 Fail

Tested by Nigel Horne, 26. Sep 2018,

  1. Program output
  2. Tester comments
  3. Prerequisites
  4. Environment and other context
  5. More reports...

This distribution has been tested as part of the CPAN Testers project, supporting the Perl programming language. See http://wiki.cpantesters.org/ for more information or email questions to cpan-testers-discuss@perl.org

-- Dear Sebastian Riedel,

This is a computer-generated report for Mojolicious-8.01 on perl 5.14.2, created by CPAN-Reporter-1.2018.

Thank you for uploading your work to CPAN. However, there was a problem testing your distribution.

If you think this report is invalid, please consult the CPAN Testers Wiki for suggestions on how to avoid getting FAIL reports for missing library or binary dependencies, unsupported operating systems, and so on:

http://wiki.cpantesters.org/wiki/CPANAuthorNotes

Program output

Output from '/usr/bin/make test':

PERL_DL_NONLAZY=1 "/home/njh/perl5/perlbrew/perls/perl-5.14.2/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t t/*/*.t
t/mojo/base.t .............................. ok
t/mojo/asset.t ............................. ok
t/mojo/bytestream.t ........................ ok
t/mojo/cache.t ............................. ok
t/mojo/collection.t ........................ ok
t/mojo/cgi.t ............................... ok
t/mojo/content.t ........................... ok
t/mojo/cookie.t ............................ ok
t/mojo/cookiejar.t ......................... ok
t/mojo/daemon.t ............................ ok
t/mojo/daemon_ipv6_tls.t ................... skipped: set TEST_IPV6 to enable this test (developer only!)
t/mojo/date.t .............................. ok
t/mojo/delay.t ............................. ok
t/mojo/eventemitter.t ...................... ok
t/mojo/exception.t ......................... ok
t/mojo/file.t .............................. ok
t/mojo/dom.t ............................... ok
t/mojo/headers.t ........................... ok
t/mojo/home.t .............................. ok
t/mojo/hypnotoad.t ......................... skipped: set TEST_HYPNOTOAD to enable this test (developer only!)
t/mojo/ioloop_ipv6.t ....................... skipped: set TEST_IPV6 to enable this test (developer only!)
t/mojo/ioloop_tls.t ........................ skipped: set TEST_TLS to enable this test (developer only!)
t/mojo/json.t .............................. ok
t/mojo/json_pointer.t ...................... ok
t/mojo/json_xs.t ........................... skipped: Cpanel::JSON::XS 4.04+ required for this test!
t/mojo/loader.t ............................ ok
t/mojo/log.t ............................... ok
t/mojo/morbo.t ............................. skipped: set TEST_MORBO to enable this test (developer only!)
t/mojo/parameters.t ........................ ok
t/mojo/path.t .............................. ok
t/mojo/prefork.t ........................... skipped: set TEST_PREFORK to enable this test (developer only!)
t/mojo/promise.t ........................... ok
t/mojo/proxy.t ............................. ok
t/mojo/ioloop.t ............................ ok
t/mojo/psgi.t .............................. ok
t/mojo/reactor_detect.t .................... ok
t/mojo/reactor_ev.t ........................ skipped: set TEST_EV to enable this test (developer only!)
Compress::Raw::Zlib version 2.074 required--this is only version 2.069 at /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/site_perl/5.14.2/IO/Compress/Adapter/Deflate.pm line 8.
BEGIN failed--compilation aborted at /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/site_perl/5.14.2/IO/Compress/Adapter/Deflate.pm line 8.
Compilation failed in require at /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/site_perl/5.14.2/IO/Compress/RawDeflate.pm line 11.
BEGIN failed--compilation aborted at /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/site_perl/5.14.2/IO/Compress/RawDeflate.pm line 11.
Compilation failed in require at /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/site_perl/5.14.2/IO/Compress/Gzip.pm line 11.
BEGIN failed--compilation aborted at /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/site_perl/5.14.2/IO/Compress/Gzip.pm line 11.
Compilation failed in require at t/mojo/request.t line 4.
BEGIN failed--compilation aborted at t/mojo/request.t line 4.
t/mojo/request.t ........................... 
Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 
t/mojo/request_cgi.t ....................... ok
Compress::Raw::Zlib version 2.074 required--this is only version 2.069 at /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/site_perl/5.14.2/IO/Compress/Adapter/Deflate.pm line 8.
BEGIN failed--compilation aborted at /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/site_perl/5.14.2/IO/Compress/Adapter/Deflate.pm line 8.
Compilation failed in require at /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/site_perl/5.14.2/IO/Compress/RawDeflate.pm line 11.
BEGIN failed--compilation aborted at /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/site_perl/5.14.2/IO/Compress/RawDeflate.pm line 11.
Compilation failed in require at /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/site_perl/5.14.2/IO/Compress/Gzip.pm line 11.
BEGIN failed--compilation aborted at /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/site_perl/5.14.2/IO/Compress/Gzip.pm line 11.
Compilation failed in require at t/mojo/response.t line 4.
BEGIN failed--compilation aborted at t/mojo/response.t line 4.
t/mojo/response.t .......................... 
Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 
t/mojo/roles.t ............................. ok
t/mojo/signatures.t ........................ skipped: Perl 5.20+ required for this test!
t/mojo/subprocess.t ........................ skipped: set TEST_SUBPROCESS to enable this test (developer only!)
t/mojo/template.t .......................... ok
t/mojo/tls.t ............................... skipped: set TEST_TLS to enable this test (developer only!)
t/mojo/reactor_poll.t ...................... ok
t/mojo/transactor.t ........................ ok
Compress::Raw::Zlib version 2.074 required--this is only version 2.069 at /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/site_perl/5.14.2/IO/Compress/Adapter/Deflate.pm line 8.
BEGIN failed--compilation aborted at /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/site_perl/5.14.2/IO/Compress/Adapter/Deflate.pm line 8.
Compilation failed in require at /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/site_perl/5.14.2/IO/Compress/RawDeflate.pm line 11.
BEGIN failed--compilation aborted at /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/site_perl/5.14.2/IO/Compress/RawDeflate.pm line 11.
Compilation failed in require at /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/site_perl/5.14.2/IO/Compress/Gzip.pm line 11.
BEGIN failed--compilation aborted at /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/site_perl/5.14.2/IO/Compress/Gzip.pm line 11.
Compilation failed in require at t/mojo/user_agent.t line 9.
BEGIN failed--compilation aborted at t/mojo/user_agent.t line 9.
t/mojo/user_agent.t ........................ 
Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 
t/mojo/url.t ............................... ok
t/mojo/user_agent_online.t ................. skipped: set TEST_ONLINE to enable this test (developer only!)
t/mojo/user_agent_socks.t .................. skipped: set TEST_SOCKS to enable this test (developer only!)
t/mojo/user_agent_tls.t .................... skipped: set TEST_TLS to enable this test (developer only!)
t/mojo/user_agent_unix.t ................... skipped: set TEST_UNIX to enable this test (developer only!)
t/mojo/util.t .............................. ok
t/mojo/websocket_frames.t .................. ok
t/mojo/websocket.t ......................... ok
t/mojo/websocket_proxy.t ................... ok
t/mojo/websocket_proxy_tls.t ............... skipped: set TEST_TLS to enable this test (developer only!)
t/mojolicious/charset_lite_app.t ........... ok
t/mojolicious/app.t ........................ ok
t/mojolicious/command.t .................... ok
t/mojolicious/dispatch.t ................... ok
t/mojolicious/commands.t ................... ok
t/mojolicious/dispatcher_lite_app.t ........ ok
t/mojolicious/embedded_app.t ............... ok
t/mojolicious/embedded_lite_app.t .......... ok
t/mojolicious/exception_lite_app.t ......... ok
t/mojolicious/external_app.t ............... ok
t/mojolicious/external_lite_app.t .......... ok
t/mojolicious/json_config_lite_app.t ....... ok
t/mojolicious/group_lite_app.t ............. ok
t/mojolicious/json_config_mode_lite_app.t .. ok
t/mojolicious/layouted_lite_app.t .......... ok
t/mojolicious/lite_app.t ................... ok
t/mojolicious/multipath_lite_app.t ......... ok
t/mojolicious/ojo.t ........................ ok
t/mojolicious/longpolling_lite_app.t ....... ok
t/mojolicious/ojo_signatures.t ............. skipped: Perl 5.20+ required for this test!
t/mojolicious/pattern.t .................... ok
t/mojolicious/pod_renderer_lite_app.t ...... ok
t/mojolicious/production_app.t ............. ok
t/mojolicious/renderer.t ................... ok
t/mojolicious/rebased_lite_app.t ........... ok
t/mojolicious/routes.t ..................... ok
t/mojolicious/restful_lite_app.t ........... ok
t/mojolicious/signatures_lite_app.t ........ skipped: Perl 5.20+ required for this test!
t/mojolicious/tag_helper_lite_app.t ........ ok
t/mojolicious/static_lite_app.t ............ ok
t/mojolicious/tls_lite_app.t ............... skipped: set TEST_TLS to enable this test (developer only!)
t/mojolicious/testing_app.t ................ ok
t/mojolicious/types.t ...................... ok
t/mojolicious/twinkle_lite_app.t ........... ok
t/mojolicious/upload_lite_app.t ............ ok
t/mojolicious/upload_stream_lite_app.t ..... ok
t/mojolicious/validation_lite_app.t ........ ok
t/pod.t .................................... skipped: set TEST_POD to enable this test (developer only!)
t/pod_coverage.t ........................... skipped: set TEST_POD to enable this test (developer only!)
t/mojolicious/websocket_lite_app.t ......... ok

Test Summary Report
-------------------
t/mojo/request.t                         (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
t/mojo/response.t                        (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
t/mojo/user_agent.t                      (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
Files=98, Tests=9455, 26 wallclock secs ( 1.53 usr  0.24 sys + 41.40 cusr  2.95 csys = 46.12 CPU)
Result: FAIL
Failed 3/98 test programs. 0/9455 subtests failed.
make: *** [Makefile:1408: test_dynamic] Error 255

Prerequisites

Requires

Build requires

Configure requires

Tester comments

this report is from an automated smoke testing program and was not reviewed by a human for accuracy

Environment and other context

Environment variables:

    AUTOMATED_TESTING = 1
    HARNESS_OPTIONS = j2
    LANG = en_US.UTF-8
    PATH = /home/njh/perl5/perlbrew/bin:/home/njh/perl5/perlbrew/perls/perl-5.14.2/bin:/home/njh/src/njh/smoker/bin:/usr/bin:/bin
    PERL5LIB = /home/njh/.cpan/build/IO-Socket-IP-0.39-44/blib/arch:/home/njh/.cpan/build/IO-Socket-IP-0.39-44/blib/lib:/home/njh/.cpan/build/Class-Method-Modifiers-2.12-4/blib/arch:/home/njh/.cpan/build/Class-Method-Modifiers-2.12-4/blib/lib
    PERL5OPT = 
    PERL5_CPANPLUS_IS_RUNNING = 3639
    PERL5_CPAN_IS_RUNNING = 3639
    PERLBREW_BASHRC_VERSION = 0.73
    PERLBREW_HOME = /home/njh/.perlbrew
    PERLBREW_MANPATH = /home/njh/perl5/perlbrew/perls/perl-5.14.2/man
    PERLBREW_PATH = /home/njh/perl5/perlbrew/bin:/home/njh/perl5/perlbrew/perls/perl-5.14.2/bin
    PERLBREW_PERL = perl-5.14.2
    PERLBREW_ROOT = /home/njh/perl5/perlbrew
    PERLBREW_VERSION = 0.73
    SHELL = /bin/sh
    TEMP = /tmp/user/1000
    TMPDIR = /tmp/user/1000/testwrapper.3625

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /home/njh/perl5/perlbrew/perls/perl-5.14.2/bin/perl
    $UID/$EUID = 1000 / 1000
    $GID = 1000 4 24 25 29 30 44 46 108 1000
    $EGID = 1000 4 24 25 29 30 44 46 108 1000

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                2.16    
    CPAN::Meta          2.150010
    Cwd                 3.74    
    ExtUtils::CBuilder  0.280226
    ExtUtils::Command   7.30    
    ExtUtils::Install   2.14    
    ExtUtils::MakeMaker 7.30    
    ExtUtils::Manifest  1.70    
    ExtUtils::ParseXS   3.35    
    File::Spec          3.74    
    JSON                2.97001 
    JSON::PP            2.94    
    Module::Build       0.4224  
    Module::Signature   0.81    
    Parse::CPAN::Meta   2.150010
    Test::Harness       3.39    
    Test::More          1.302136
    YAML                1.26    
    YAML::Syck          1.30    
    version             0.88    


--

Summary of my perl5 (revision 5 version 14 subversion 2) configuration:
   
  Platform:
    osname=linux, osvers=4.2.0-1-686-pae, archname=i686-linux-thread-multi
    uname='linux zack 4.2.0-1-686-pae #1 smp debian 4.2.6-1 (2015-11-10) i686 gnulinux '
    config_args='-de -Dprefix=/home/njh/perl5/perlbrew/perls/perl-5.14.2 -Duseithreads -Dusemultiplicity -Dusedevel -Accflags= -Aeval:scriptdir=/home/njh/perl5/perlbrew/perls/perl-5.14.2/bin'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=define, usemultiplicity=define
    useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef
    use64bitint=undef, use64bitall=undef, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64',
    optimize='-O2',
    cppflags='-D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include'
    ccversion='', gccversion='5.2.1 20151121', gccosandvers=''
    intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=1234
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12
    ivtype='long', ivsize=4, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=4, prototype=define
  Linker and Libraries:
    ld='cc', ldflags =' -fstack-protector -L/usr/local/lib'
    libpth=/usr/local/lib /lib/i386-linux-gnu /lib/../lib /usr/lib/i386-linux-gnu /usr/lib/../lib /lib /usr/lib
    libs=-lnsl -lgdbm -ldb -ldl -lm -lcrypt -lutil -lpthread -lc -lgdbm_compat
    perllibs=-lnsl -ldl -lm -lcrypt -lutil -lpthread -lc
    libc=libc-2.19.so, so=so, useshrplib=false, libperl=libperl.a
    gnulibc_version='2.19'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-Wl,-E'
    cccdlflags='-fPIC', lddlflags='-shared -O2 -L/usr/local/lib -fstack-protector'


Characteristics of this binary (from libperl): 
  Compile-time options: MULTIPLICITY PERL_DONT_CREATE_GVSV
                        PERL_IMPLICIT_CONTEXT PERL_MALLOC_WRAP
                        PERL_PRESERVE_IVUV PERL_USE_DEVEL USE_ITHREADS
                        USE_LARGE_FILES USE_PERLIO USE_PERL_ATOF
                        USE_REENTRANT_API
  Locally applied patches:
	Devel::PatchPerl 1.38
  Built under linux
  Compiled at Nov 24 2015 02:47:56
  %ENV:
    PERL5LIB="/home/njh/.cpan/build/IO-Socket-IP-0.39-44/blib/arch:/home/njh/.cpan/build/IO-Socket-IP-0.39-44/blib/lib:/home/njh/.cpan/build/Class-Method-Modifiers-2.12-4/blib/arch:/home/njh/.cpan/build/Class-Method-Modifiers-2.12-4/blib/lib"
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="3639"
    PERL5_CPAN_IS_RUNNING="3639"
    PERLBREW_BASHRC_VERSION="0.73"
    PERLBREW_HOME="/home/njh/.perlbrew"
    PERLBREW_MANPATH="/home/njh/perl5/perlbrew/perls/perl-5.14.2/man"
    PERLBREW_PATH="/home/njh/perl5/perlbrew/bin:/home/njh/perl5/perlbrew/perls/perl-5.14.2/bin"
    PERLBREW_PERL="perl-5.14.2"
    PERLBREW_ROOT="/home/njh/perl5/perlbrew"
    PERLBREW_VERSION="0.73"
  @INC:
    /home/njh/.cpan/build/IO-Socket-IP-0.39-44/blib/arch
    /home/njh/.cpan/build/IO-Socket-IP-0.39-44/blib/lib
    /home/njh/.cpan/build/Class-Method-Modifiers-2.12-4/blib/arch
    /home/njh/.cpan/build/Class-Method-Modifiers-2.12-4/blib/lib
    /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/site_perl/5.14.2/i686-linux-thread-multi
    /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/site_perl/5.14.2
    /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/5.14.2/i686-linux-thread-multi
    /home/njh/perl5/perlbrew/perls/perl-5.14.2/lib/5.14.2